QGIS Application - Feature request #15309
Unique names for Scratch Layers
2016-07-19 12:19 PM - Johannes Kroeger

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 23241
Description

Please use unique names for newly created Scratch layers.
| would recommend using a simple counter and the type name, or if there is an internal "stringifiable" identifier already, just use that.

For example "Type (i)" or "Type_i": "Point (5)" or "MultiPolygon_6".

At the moment you end up with each layer named "New scratch layer" by default, which requires the user to always choose a name.
For temporary scratch things, | often only need to be able to tell them apart in the various dialogs.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-22 09:55 AM - Jiirgen Fischer

- Category set to Unknown
